#!/bin/perl

################################################################################
# PAD Form Demo
# Copyright (c) 2000-2004 by GRAHL software design
#
# http://www.DeuPAD.org
#
# Freeware, Verwendung auf eigene Gefahr.
# Verffentlichung oder Weitergabe nur mit Zustimmung des Autors.
################################################################################
#
# datenbank.pl
#
# Zweck:
#  Dummy-Skript, das nach dem Absenden des Formulars aufgerufen wird
#
################################################################################


print "Content-type: text/html\n\n";

# Lese Formularfelder ein und entnehme die Felder PADUrl und Category
&getFields();

print "Das Anmeldeformular wurde mit diesen Daten abgeschickt:<br>\n";

# Felder aus Formular ausgeben
print "<br><b>Programmname: </b>" . $FIELDS{'title'};
print "<br><b>Version: </b>" . $FIELDS{'version'};
print "<br><b>Homepage: </b>" . $FIELDS{'homepage'};
print "<br><b>Download: </b>" . $FIELDS{'url'};
print "<br><b>Dateigr&ouml;sse: </b>" . $FIELDS{'size'};
print "<br><b>Preis: </b>" . $FIELDS{'price'};
print "<br><b>Beschreibung: </b>" . $FIELDS{'description'};
print "<br><b>Programmtyp: </b>" . $FIELDS{'type'};
print "<br><b>Sprache: </b>" . $FIELDS{'languageGerman'} . " " . $FIELDS{'languageEnglish'};
print "<br><b>Autor: </b>" . $FIELDS{'author'};
print "<br><b>Email: </b>" . $FIELDS{'email'};
print "<br><b>Kategorie: </b>" . $FIELDS{'Category'};



##########################################################
# Formulardaten in Hash @FIELDS einlesen                 #
##########################################################
sub getFields
{
  if ($ENV{'REQUEST_METHOD'} eq 'GET') {
    @pairs = split(/&/, $ENV{'QUERY_STRING'});
  }
  elsif ($ENV{'REQUEST_METHOD'} eq 'POST') {
    read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
    @pairs = split(/&/, $buffer);
  }
  else {
    die "Request Method not allowed";
  }

  foreach $pair (@pairs) {
    ($name, $value) = split(/=/, $pair);

    $name =~ tr/+/ /;
    $name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

    $value =~ tr/+/ /;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

    $value =~ s/<!--(.|\n)*-->//g;

    $FIELDS{$name} = $value;
  }
}


